package model;

/**
 * Interface for a bijection, i.e. a lambda that can provide its own inverse.
 * @author Mathias Ricken
 */
public interface IBijection extends ILambda {
    /**
     * Returns the inverse of this lambda, which is also a bijection.
     *
     * @return inverse
     */
    public IBijection getInverse();
}
