package model;

/**
 * Measurement class.
 *
 * @author Mathias Ricken
 */
public class Measurement <M extends IMeasurable> {
    /**
     * Unit of this measurement.
     */
    AUnit<M> _unit;
    
    /**
     * Value of this measurement.
     */
    double _value;
    
    /**
     * Constructor for a measurement.
     *
     * @param value value of this measurement
     * @param unit  unit of this measurement
     */
    public Measurement(double value, AUnit<M> unit) {
        _unit = unit;
        _value = value;
    }
    
    /**
     * Returns the unit of this measurement.
     *
     * @return unit
     */
    public AUnit<M> getUnit() {
        return _unit;
    }
    
    /**
     * Returns the value of this measurement.
     * @return value
     */
    public double getValue() {
        return _value;
    }
}
