package controller;

import model.IModelAdapter;
import model.TempCalcModel;
import view.TempCalcFrame;

/**
 * Main class for GUI use.
 *
 * @author Mathias Ricken
 */
public class TempCalcApp {
    /**
     * Entry point for Java VM.
     *
     * @param args command line arguments
     */
    public static void main(String[] args) {
        final TempCalcModel model = new TempCalcModel();
        (new TempCalcFrame(new IModelAdapter() {
            public double convertCtoF(double degreesCelsius) {
                return model.convertCtoF(degreesCelsius);
            }
        })).setVisible(true);
    }
}
