package controller;

import model.IModelAdapter;
import model.TempCalcModel;
import view.TempCalcView;

import javax.swing.*;

/**
 * Main class for applet use.
 *
 * @author Mathias Ricken
 */
public class TempCalcApplet extends JApplet {
    /**
     * Initializes the applet - requred for all applets.
     */
    public void init() {
        try {
            final TempCalcModel model = new TempCalcModel();
            getContentPane().add(new TempCalcView(new IModelAdapter() {
                public double convertFtoC(double degreesFahrenheit) {
                    return model.convertFtoC(degreesFahrenheit);
                }

                public double convertCtoF(double degreesCelsius) {
                    return model.convertCtoF(degreesCelsius);
                }

                public double convertCtoK(double degreesCelsius) {
                    return model.convertCtoK(degreesCelsius);
                }

                public double convertKtoC(double kelvin) {
                    return model.convertKtoC(kelvin);
                }
            }));
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}
